CairoContext::copyPath
CairoContext::curveTo
CairoContext
PHP Manual

# CairoContext::copyPathFlat

# cairo_copy_path_flat

(PECL cairo >= 0.1.0)

CairoContext::copyPathFlat -- cairo_copy_path_flat — Gets a flattened copy of the current path

### Description

Object oriented style (method):

public CairoPath CairoContext::copyPathFlat ( void )

Procedural style:

CairoPath cairo_copy_path_flat ( CairoContext `$context` )

A CairoContext object

### Parameters

`context`

  Description...

### Return Values

Gets a flattened copy of the current path and returns it to the user as a CairoPath.

This function is like CairoContext::copyPath except that any curves in the path will be approximated with piecewise-linear approximations, (accurate to within the current tolerance value). That is, the result is guaranteed to not have any elements of type CAIRO_PATH_CURVE_TO which will instead be replaced by a series of CAIRO_PATH_LINE_TO elements.

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
var_dump($context->copyPathFlat());
?>`

The above example will output something similar to:

    object(CairoPath)#3 (0) {
    }

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
var_dump(cairo_copy_path_flat($context));
?>`

The above example will output something similar to:

    object(CairoPath)#3 (0) {
    }

### See Also

- CairoContext::copyPath - Creates a copy of the current path
- CairoContext::closePath - Closes the current path

CairoContext::copyPath
CairoContext::curveTo
CairoContext
PHP Manual